Get a persona
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Retrieve a single persona by ID.
Request example
curl --request GET \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}' \ --header 'x-access-token: <api-token>'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}', { method: 'GET', headers: { "x-access-token": "<api-token>" },});
const data = await response.json();console.log(data);import requests
response = requests.request( "GET", "https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}", headers={ "x-access-token": "<api-token>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http")
func main() { req, _ := http.NewRequest("GET", "https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}", nil) req.Header.Add("x-access-token", "<api-token>")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/personas/{personaId}")) .header("x-access-token", "<api-token>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequiredpersonaIdstring<uuid>pathrequired
Responses
200application/json
OK
An evaluation persona representing an attendee type for schedule evaluation.
idstring<uuid>event_idintegernamestringdescriptionstringconfigobjectcreated_atstring<date-time>updated_atstring<date-time>
401
Unauthorized
404
Persona not found
Response examples
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "event_id": 123, "name": "<string>", "description": "<string>", "config": {}, "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z"}